function chh(){}
function ehh(a){this.a=a}
function Tgh(a){this.a=a}
function Wgh(a){this.a=a}
function qpf(a,b){a.a=b;return a}
function rpf(a){a.e=100;return a}
function spf(){this.c=new VWd;ED();this.d=oAj}
function sff(){this.b=BA($doc);this.a=BA($doc)}
function xmd(a){a.a.oe(0,2);tmd(a.a.c,0,2)[TCj]=Jak}
function vmd(a,b,d){var e;a.a.oe(b,1);e=tmd(a.a.c,b,1);Fz(e,H3j,d.a)}
function Voh(a){var b;if(!a.d){b=new chh;a.d=b}return a.d}
function Qu(a,b,d,e){var g;Wu(a,b,d);g=Hu(a,b,d,e==null);e!=null&&Cz(g,e)}
function Rgh(a,b,d,e){lGd.call(this,a,b,d);this.a=e;this.b=new O0i(g2b)}
function tff(a,b){if(a==0||b==0)return 0;return l3c(Y2c(Math.round(b/a*100)))}
function ppf(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function Vgh(a,b){var d,e;d=Onj(b);if(Z7i(d,YGj).b.b!=(pmj(),omj)){e=E0i(a.a.b,Z7i(d,YGj));bhh(a.a.A,e)}else{bhh(a.a.A,null)}}
function Qgh(a){var b,d;b=nef();h8i(N7i(b),eIj,tEj);d=new v8i;g8i(Z7i(d,PGj),'engine-statistics');l8i(Z7i(d,RGj),b);Unj(new lnj(d),new Wgh(a))}
function Uoh(a){var b;if(!a.c){b=new Rgh(vFd(sce(a.a)),Voh(a),Toh(a),(woj(Zde(a.a)),A1i(Xde(a.a)),SLg(lde(a.a))));HFd((tce(a.a),b),EGd(tce(a.a)));a.c=b}return a.c}
function bhh(a,b){var d;d=new jef(jM(r0c,Hxj,-1,[Z2c(b.tI().a),b.uI().a,b.vI().a,b.pI().a,b.rI().a,b.nI().a,b.oI().a,b.qI().a,Z2c(b.mI().a),Z2c(b.wI().a),Z2c(b.sI().a)]));npf(a.b,d)}
function rff(a,b,d){var e,g,i;g=znd(a.c,a.a);i=tff(b,d);if(i>0){zz(g,vBj,Iik+i+tBj);zz(g,Jik,Iik+i+tBj)}else{zz(g,vBj,Kik);zz(g,Jik,Kik)}e=new E4c;D4c(C4c((FQd(e.a,"<span style='padding-right:5px;'>"),e),i+tBj),A0j);Cz(g,(new G4c(e.a.a.a)).a)}
function npf(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=ppf(a);if(g>b.a.b)throw new oo(Lik+g+Mik+b.a.b);e=ROd(g>=0?(new OOd(FNd($f(b.a,g)))).a:azj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=$f(b.a,o);if(null==d)throw new oo(Nik+o+Oik);Su(a.b,p,1,d);if(!!i.a&&$2c(e.a,syj)){rff($f(a.c,o),l3c(e.a),(new kOd(DNd(d))).a)}else if(!!i.a&&a3c(e.a,syj)){throw new oo(Pik)}++p}}
function opf(a){var b,d,e,g,i,j,k,n,o,p;i=new Hwd;Az((Wfd(),i.gb),f0j);Ewd(i,new snd("<div class='metric-table-title'>"+a.d+K3j));a.b=new Yu;zz(qr(a.b),TCj,a.e+tBj);Qu(a.b,0,0,'Metric');Qu(a.b,0,1,'Actual');Qu(a.b,0,2,VCj);vmd(a.b.d,0,(Vnd(),Und));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Qu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Qu(a.b,j,1,oAj);MWd(a.c,new sff);if(b.a){k=$f(a.c,j-1);Tu(a.b,j,2,(n=new E4c,D4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new And(new G4c(n.a.a.a)),o=znd(k.c,k.b),oz(o,'stacked-bar-total'),zz(o,vBj,Ugk),zz(o,Jik,'width:100%!important'),p=znd(k.c,k.a),oz(p,'stacked-bar-actual'),oA(p,oAj),k.c));rff(k,0,0)}else Su(a.b,j,2,oAj);vmd(a.b.d,j,Und);b.c&&Lnd(a.b.f,j,'metric-table-baseline');++j}wmd(a.b.d,0,0,Qik);wmd(a.b.d,0,1,Qik);wmd(a.b.d,0,2,Qik);xmd(a.b.d);Ewd(i,a.b);return i}
var Sik='Teiid Metrics',Kik='background:none',Jik='cssText',Qik='metric-table-header';w3c(2507,1,{},sff);w3c(2678,1,{},spf);_.a=null;_.e=100;w3c(4582,1011,Qyj,Rgh);_.Ti=function(){this.A.a=this;aI(this.v,(wuf(),vuf),this)};_.Uk=function(){nq((gq(),fq),new Tgh(this))};_.Yi=function(){this.B&&Qgh(this)};_.aj=function(){Zuf(this.a,this)};w3c(4583,1,{},Tgh);_.vd=function(){Qgh(this.a)};w3c(4584,1298,{},Wgh);_.sd=function(a){AYd('Failed to retrieve query engine statistics for Teiid',a.$b())};_.eh=function(a){Vgh(this,a)};w3c(4587,1415,Oyj,chh);_.Bh=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new tjj;njj(r,new jjj((uYd(),rik),new ehh(this)));p=new pff(dRj,'Session Count');o=new pff(fRj,'Memory in Use(KB)');n=new pff(hRj,'Memory Used By Active Plans(KB)');g=new pff(jRj,'Buffer Disk Reads');i=new pff(lRj,'Buffer Disk Writes');b=new pff(nRj,'Buffer Cache Reads');d=new pff(pRj,'Buffer Cache Writes');q=new pff(rRj,'Disk Space In Use(MB)');a=new pff(tRj,'Active Plan Count');s=new pff(vRj,'Waiting Plan Count');k=new pff(xRj,'Maximum Plans Waiting Water Mark');e=jM(J1c,Ixj,195,[p,o,n,g,i,b,d,q,a,s,k]);this.b=rpf(qpf(new spf,e),ED());j=VBe(YBe(bCe(ZBe(aCe(new cCe,Rik),Sik),r),'Metrics for teiid subsystem'),Sik,opf(this.b));return WBe(j)};w3c(4588,1,byj,ehh);_.le=function(a){Qgh(this.a.a)};w3c(4744,1,vzj);_.td=function(){dHd(this.b,Uoh(this.a.a))};var y3b=bOd(4582),u3b=bOd(4583),v3b=bOd(4584),A3b=bOd(4587),z3b=bOd(4588),xub=bOd(2678),lrb=bOd(2507);jAj(fp)(75);